Bug 59726 - [ivb (optimus) LVDS] Boots to blank screen, ACPI backlight woes
[ivb (optimus) LVDS] Boots to blank screen, ACPI backlight woes
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
XOrg git
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Intel GFX Bugs mailing list
Intel GFX Bugs mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 18:05 UTC by hadrons123
Modified: 2013-09-27 19:52 UTC (History)
1 user (show)

See Also:


Attachments
dmesg in 3.7.3 debian kernel (57.49 KB, text/plain)
2013-01-22 18:05 UTC, hadrons123
no flags Details
intel_reg_dumper (11.59 KB, text/plain)
2013-01-22 18:08 UTC, hadrons123
no flags Details
xorg.0.log (35.57 KB, text/plain)
2013-01-22 18:16 UTC, hadrons123
no flags Details
Arch linux xorg.0.log after update (35.73 KB, text/plain)
2013-02-15 00:41 UTC, hadrons123
no flags Details
xorg.0.log after enabling sna in /etc/X11/xorg.conf (30.75 KB, text/plain)
2013-02-15 00:54 UTC, hadrons123
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hadrons123 2013-01-22 18:05:06 UTC
Created attachment 73464 [details]
dmesg in 3.7.3 debian kernel

I am using Debian sid with  Debian 3.7.3-1~experimental.1 kernel and since 3.7 kernel series my system boots into a black screen. I can however type commands blindly using the ttys. nomodeset gets me to debian gnome fallback. I tried other distros like Fedora 18 and Arch linux and had similar results with the 3.7 series kernels. I tried 3.8.rc4 mainline kernel in arch but had similar results.

I am a physcian and I have no idea to bisect the kernel commits.

Here is a list of attachments which might be useful. I would certainly post some log using the 3.8.rc4 kernel if you want.

My machine is a Lenovo Y580 with a ivybridge intel HD4000 graphics setup.
Comment 1 hadrons123 2013-01-22 18:08:20 UTC
Created attachment 73465 [details]
intel_reg_dumper

interl_reg_dumper attachment
Comment 2 hadrons123 2013-01-22 18:16:57 UTC
Created attachment 73466 [details]
xorg.0.log

xorg.0.log in 3.7.3 kernel
Comment 3 Chris Wilson 2013-01-22 18:34:27 UTC
It looks alive, so I think the issue is the backlight. Can you try

for i in /sys/class/backlight/*; do cat $i/max_brightness > $i/brightness; done
Comment 4 hadrons123 2013-01-22 18:51:24 UTC
Thank you so much. It works. 

So its just a matter of adjusting the display brightness. But is there a possible way to set it up permenantly, so that I don't have to adjust the screen brightness manually everytime at boot.
Comment 5 Chris Wilson 2013-01-22 18:59:11 UTC
Ideally you want a more recent DDX so that you could either use SNA which I believe would select the right backlight in this case, or to make Option "Backlight" available in xorg.conf.

For the time being, I would just put that single line into /etc/rc.local
Comment 6 hadrons123 2013-01-22 19:13:23 UTC
I 'll try that. Thanks for the suggestions. You are a great live saver.
Comment 7 hadrons123 2013-02-14 17:44:07 UTC
I am using fullly updated arch linux with recent xf86-video-intel
Version        : 2.21.2-1
But still the system cannot set the right backlight. Is there anything else I need to look into?
Comment 8 Chris Wilson 2013-02-14 22:13:09 UTC
Can you attach the Xorg.0.log from your recent update, after enabling SNA?
Comment 9 hadrons123 2013-02-15 00:41:53 UTC
Created attachment 74847 [details]
Arch linux xorg.0.log after update
Comment 10 hadrons123 2013-02-15 00:48:44 UTC
Looks like it happen in fedora too with another user having the same issue.

http://forums.fedoraforum.org/showthread.php?p=1634465
Comment 11 hadrons123 2013-02-15 00:54:47 UTC
Created attachment 74848 [details]
xorg.0.log after enabling sna in /etc/X11/xorg.conf
Comment 12 hadrons123 2013-02-15 00:55:41 UTC
Comment on attachment 74848 [details]
xorg.0.log after enabling sna in /etc/X11/xorg.conf

>[     6.089] 
>X.Org X Server 1.13.2
>Release Date: 2013-01-24
>[     6.089] X Protocol Version 11, Revision 0
>[     6.089] Build Operating System: Linux 3.7.4-1-ARCH x86_64 
>[     6.089] Current Operating System: Linux arch 3.7.4-1-ARCH #1 SMP PREEMPT Fri Jan 25 10:03:30 IST 2013 x86_64
>[     6.089] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-linux root=UUID=34e9a3a3-8b20-404c-8a50-e9117e75e96d ro quiet
>[     6.089] Build Date: 25 January 2013  09:33:50AM
>[     6.089]  
>[     6.089] Current version of pixman: 0.28.2
>[     6.089] 	Before reporting problems, check http://wiki.x.org
>	to make sure that you have the latest version.
>[     6.089] Markers: (--) probed, (**) from config file, (==) default setting,
>	(++) from command line, (!!) notice, (II) informational,
>	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>[     6.089] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Feb 15 06:22:09 2013
>[     6.091] (==) Using config file: "/etc/X11/xorg.conf"
>[     6.091] (==) Using config directory: "/etc/X11/xorg.conf.d"
>[     6.098] (==) No Layout section.  Using the first Screen section.
>[     6.098] (==) No screen section available. Using defaults.
>[     6.098] (**) |-->Screen "Default Screen Section" (0)
>[     6.098] (**) |   |-->Monitor "<default monitor>"
>[     6.099] (==) No device specified for screen "Default Screen Section".
>	Using the first device section listed.
>[     6.099] (**) |   |-->Device "intel"
>[     6.099] (==) No monitor specified for screen "Default Screen Section".
>	Using a default monitor configuration.
>[     6.099] (==) Automatically adding devices
>[     6.099] (==) Automatically enabling devices
>[     6.099] (==) Automatically adding GPU devices
>[     6.114] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
>[     6.114] 	Entry deleted from font path.
>[     6.127] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
>[     6.127] 	Entry deleted from font path.
>[     6.127] 	(Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
>[     6.130] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
>[     6.130] 	Entry deleted from font path.
>[     6.131] 	(Run 'mkfontdir' on "/usr/share/fonts/75dpi/").
>[     6.131] (==) FontPath set to:
>	/usr/share/fonts/misc/,
>	/usr/share/fonts/TTF/,
>	/usr/share/fonts/Type1/
>[     6.131] (==) ModulePath set to "/usr/lib/xorg/modules"
>[     6.131] (II) The server relies on udev to provide the list of input devices.
>	If no devices become available, reconfigure udev or disable AutoAddDevices.
>[     6.131] (II) Loader magic: 0x7fcc40
>[     6.131] (II) Module ABI versions:
>[     6.131] 	X.Org ANSI C Emulation: 0.4
>[     6.131] 	X.Org Video Driver: 13.1
>[     6.131] 	X.Org XInput driver : 18.0
>[     6.131] 	X.Org Server Extension : 7.0
>[     6.131] (II) config/udev: Adding drm device (/dev/dri/card0)
>[     6.878] (--) PCI:*(0:0:2:0) 8086:0166:17aa:3977 rev 9, Mem @ 0xd3000000/4194304, 0xe0000000/268435456, I/O @ 0x00004000/64
>[     6.878] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
>[     6.879] Initializing built-in extension Generic Event Extension
>[     6.879] Initializing built-in extension SHAPE
>[     6.879] Initializing built-in extension MIT-SHM
>[     6.879] Initializing built-in extension XInputExtension
>[     6.879] Initializing built-in extension XTEST
>[     6.879] Initializing built-in extension BIG-REQUESTS
>[     6.879] Initializing built-in extension SYNC
>[     6.879] Initializing built-in extension XKEYBOARD
>[     6.879] Initializing built-in extension XC-MISC
>[     6.879] Initializing built-in extension SECURITY
>[     6.879] Initializing built-in extension XINERAMA
>[     6.879] Initializing built-in extension XFIXES
>[     6.879] Initializing built-in extension RENDER
>[     6.879] Initializing built-in extension RANDR
>[     6.879] Initializing built-in extension COMPOSITE
>[     6.879] Initializing built-in extension DAMAGE
>[     6.879] Initializing built-in extension MIT-SCREEN-SAVER
>[     6.879] Initializing built-in extension DOUBLE-BUFFER
>[     6.879] Initializing built-in extension RECORD
>[     6.879] Initializing built-in extension DPMS
>[     6.879] Initializing built-in extension X-Resource
>[     6.879] Initializing built-in extension XVideo
>[     6.879] Initializing built-in extension XVideo-MotionCompensation
>[     6.879] Initializing built-in extension XFree86-VidModeExtension
>[     6.879] Initializing built-in extension XFree86-DGA
>[     6.879] Initializing built-in extension XFree86-DRI
>[     6.879] Initializing built-in extension DRI2
>[     6.879] (II) LoadModule: "glx"
>[     6.882] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
>[     6.890] (II) Module glx: vendor="X.Org Foundation"
>[     6.890] 	compiled for 1.13.2, module version = 1.0.0
>[     6.890] 	ABI class: X.Org Server Extension, version 7.0
>[     6.890] (==) AIGLX enabled
>[     6.890] Loading extension GLX
>[     6.890] (II) LoadModule: "intel"
>[     6.890] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
>[     6.897] (II) Module intel: vendor="X.Org Foundation"
>[     6.897] 	compiled for 1.13.2, module version = 2.21.2
>[     6.897] 	Module class: X.Org Video Driver
>[     6.898] 	ABI class: X.Org Video Driver, version 13.1
>[     6.898] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
>	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
>	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
>	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
>	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
>	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
>	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
>	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
>	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
>	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server,
>	Ivybridge Server (GT2), Haswell Desktop (GT1), Haswell Desktop (GT2),
>	Haswell Desktop (GT2+), Haswell Mobile (GT1), Haswell Mobile (GT2),
>	Haswell Mobile (GT2+), Haswell Server (GT1), Haswell Server (GT2),
>	Haswell Server (GT2+), Haswell SDV Desktop (GT1),
>	Haswell SDV Desktop (GT2), Haswell SDV Desktop (GT2+),
>	Haswell SDV Mobile (GT1), Haswell SDV Mobile (GT2),
>	Haswell SDV Mobile (GT2+), Haswell SDV Server (GT1),
>	Haswell SDV Server (GT2), Haswell SDV Server (GT2+),
>	Haswell ULT Desktop (GT1), Haswell ULT Desktop (GT2),
>	Haswell ULT Desktop (GT2+), Haswell ULT Mobile (GT1),
>	Haswell ULT Mobile (GT2), Haswell ULT Mobile (GT2+),
>	Haswell ULT Server (GT1), Haswell ULT Server (GT2),
>	Haswell ULT Server (GT2+), Haswell CRW Desktop (GT1),
>	Haswell CRW Desktop (GT2), Haswell CRW Desktop (GT2+),
>	Haswell CRW Mobile (GT1), Haswell CRW Mobile (GT2),
>	Haswell CRW Mobile (GT2+), Haswell CRW Server (GT1),
>	Haswell CRW Server (GT2), Haswell CRW Server (GT2+),
>	ValleyView PO board
>[     6.898] (++) using VT number 7
>
>[     6.907] (II) intel(0): Creating default Display subsection in Screen section
>	"Default Screen Section" for depth/fbbpp 24/32
>[     6.907] (==) intel(0): Depth 24, (--) framebuffer bpp 32
>[     6.907] (==) intel(0): RGB weight 888
>[     6.907] (==) intel(0): Default visual is TrueColor
>[     6.907] (**) intel(0): Option "AccelMethod" "sna"
>[     6.907] (--) intel(0): Integrated Graphics Chipset: Intel(R) Ivybridge Mobile (GT2)
>[     6.907] (**) intel(0): Framebuffer tiled
>[     6.907] (**) intel(0): Pixmaps tiled
>[     6.907] (**) intel(0): "Tear free" disabled
>[     6.907] (**) intel(0): Forcing per-crtc-pixmaps? no
>[     6.907] (II) intel(0): Output LVDS1 has no monitor section
>[     6.907] (--) intel(0): found backlight control interface acpi_video1 (type 'firmware')
>[     6.920] (II) intel(0): Output VGA1 has no monitor section
>[     6.921] (II) intel(0): Output HDMI1 has no monitor section
>[     6.963] (II) intel(0): Output DP1 has no monitor section
>[     6.963] (II) intel(0): EDID for output LVDS1
>[     6.963] (II) intel(0): Manufacturer: LGD  Model: 1e9  Serial#: 0
>[     6.963] (II) intel(0): Year: 2009  Week: 0
>[     6.963] (II) intel(0): EDID Version: 1.3
>[     6.963] (II) intel(0): Digital Display Input
>[     6.963] (II) intel(0): Max Image Size [cm]: horiz.: 35  vert.: 19
>[     6.963] (II) intel(0): Gamma: 2.20
>[     6.963] (II) intel(0): No DPMS capabilities specified
>[     6.963] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
>[     6.963] (II) intel(0): First detailed timing is preferred mode
>[     6.963] (II) intel(0): redX: 0.621 redY: 0.352   greenX: 0.314 greenY: 0.586
>[     6.963] (II) intel(0): blueX: 0.147 blueY: 0.118   whiteX: 0.313 whiteY: 0.329
>[     6.963] (II) intel(0): Manufacturer's mask: 0
>[     6.963] (II) intel(0): Supported detailed timing:
>[     6.963] (II) intel(0): clock: 138.5 MHz   Image Size:  345 x 194 mm
>[     6.963] (II) intel(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
>[     6.964] (II) intel(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
>[     6.964] (II) intel(0):  LG Display
>[     6.964] (II) intel(0):  LP156WF1-TLC1
>[     6.964] (II) intel(0): EDID (in hex):
>[     6.964] (II) intel(0): 	00ffffffffffff0030e4e90100000000
>[     6.964] (II) intel(0): 	00130103802313780a08d59f5a509625
>[     6.964] (II) intel(0): 	1e505400000001010101010101010101
>[     6.964] (II) intel(0): 	0101010101011a3680a070381f403020
>[     6.964] (II) intel(0): 	350059c2100000190000000000000000
>[     6.964] (II) intel(0): 	00000000000000000000000000fe004c
>[     6.964] (II) intel(0): 	4720446973706c61790a2020000000fe
>[     6.964] (II) intel(0): 	004c503135365746312d544c433100b0
>[     6.964] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
>[     6.964] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
>[     6.964] (II) intel(0): Printing probed modes for output LVDS1
>[     6.964] (II) intel(0): Modeline "1920x1080"x59.9  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
>[     6.964] (II) intel(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
>[     6.964] (II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz d)
>[     6.964] (II) intel(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
>[     6.964] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
>[     6.964] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
>[     6.964] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
>[     6.964] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
>[     6.977] (II) intel(0): EDID for output VGA1
>[     6.977] (II) intel(0): EDID for output HDMI1
>[     7.020] (II) intel(0): EDID for output DP1
>[     7.020] (II) intel(0): Output LVDS1 connected
>[     7.020] (II) intel(0): Output VGA1 disconnected
>[     7.020] (II) intel(0): Output HDMI1 disconnected
>[     7.020] (II) intel(0): Output DP1 disconnected
>[     7.020] (II) intel(0): Using exact sizes for initial modes
>[     7.020] (II) intel(0): Output LVDS1 using initial mode 1920x1080
>[     7.020] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
>[     7.020] (==) intel(0): DPI set to (96, 96)
>[     7.020] (II) Loading sub module "dri2"
>[     7.020] (II) LoadModule: "dri2"
>[     7.020] (II) Module "dri2" already built-in
>[     7.020] (==) Depth 24 pixmap format is 32 bpp
>[     7.026] (II) intel(0): SNA initialized with IvyBridge backend
>[     7.026] (==) intel(0): Backing store disabled
>[     7.026] (==) intel(0): Silken mouse enabled
>[     7.026] (II) intel(0): HW Cursor enabled
>[     7.026] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
>[     7.028] (==) intel(0): DPMS enabled
>[     7.028] (II) intel(0): [DRI2] Setup complete
>[     7.028] (II) intel(0): [DRI2]   DRI driver: i965
>[     7.028] (II) intel(0): direct rendering: DRI2 Enabled
>[     7.028] (==) intel(0): hotplug detection: "enabled"
>[     7.028] (--) RandR disabled
>[     7.057] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
>[     7.057] (II) AIGLX: enabled GLX_INTEL_swap_event
>[     7.057] (II) AIGLX: enabled GLX_ARB_create_context
>[     7.057] (II) AIGLX: enabled GLX_ARB_create_context_profile
>[     7.057] (II) AIGLX: enabled GLX_EXT_create_context_es2_profile
>[     7.057] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
>[     7.057] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
>[     7.057] (II) AIGLX: Loaded and initialized i965
>[     7.057] (II) GLX: Initialized DRI2 GL provider for screen 0
>[     7.058] (II) intel(0): switch to mode 1920x1080 on crtc 3 (pipe 0)
>[     7.086] (II) intel(0): Setting screen physical size to 508 x 285
>[     7.168] (II) config/udev: Adding input device Power Button (/dev/input/event5)
>[     7.168] (**) Power Button: Applying InputClass "evdev keyboard catchall"
>[     7.168] (II) LoadModule: "evdev"
>[     7.169] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
>[     7.171] (II) Module evdev: vendor="X.Org Foundation"
>[     7.171] 	compiled for 1.13.0, module version = 2.7.3
>[     7.171] 	Module class: X.Org XInput Driver
>[     7.171] 	ABI class: X.Org XInput driver, version 18.0
>[     7.171] (II) Using input driver 'evdev' for 'Power Button'
>[     7.171] (**) Power Button: always reports core events
>[     7.171] (**) evdev: Power Button: Device: "/dev/input/event5"
>[     7.171] (--) evdev: Power Button: Vendor 0 Product 0x1
>[     7.171] (--) evdev: Power Button: Found keys
>[     7.171] (II) evdev: Power Button: Configuring as keyboard
>[     7.171] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input5/event5"
>[     7.171] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
>[     7.171] (**) Option "xkb_rules" "evdev"
>[     7.171] (**) Option "xkb_model" "evdev"
>[     7.171] (**) Option "xkb_layout" "us"
>[     7.196] (II) config/udev: Adding input device Video Bus (/dev/input/event14)
>[     7.196] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
>[     7.196] (II) Using input driver 'evdev' for 'Video Bus'
>[     7.196] (**) Video Bus: always reports core events
>[     7.196] (**) evdev: Video Bus: Device: "/dev/input/event14"
>[     7.196] (--) evdev: Video Bus: Vendor 0 Product 0x6
>[     7.196] (--) evdev: Video Bus: Found keys
>[     7.196] (II) evdev: Video Bus: Configuring as keyboard
>[     7.196] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input14/event14"
>[     7.196] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
>[     7.196] (**) Option "xkb_rules" "evdev"
>[     7.196] (**) Option "xkb_model" "evdev"
>[     7.196] (**) Option "xkb_layout" "us"
>[     7.197] (II) config/udev: Adding input device Power Button (/dev/input/event2)
>[     7.197] (**) Power Button: Applying InputClass "evdev keyboard catchall"
>[     7.197] (II) Using input driver 'evdev' for 'Power Button'
>[     7.197] (**) Power Button: always reports core events
>[     7.197] (**) evdev: Power Button: Device: "/dev/input/event2"
>[     7.197] (--) evdev: Power Button: Vendor 0 Product 0x1
>[     7.197] (--) evdev: Power Button: Found keys
>[     7.197] (II) evdev: Power Button: Configuring as keyboard
>[     7.197] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:01/PNP0C0C:00/input/input2/event2"
>[     7.197] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
>[     7.197] (**) Option "xkb_rules" "evdev"
>[     7.197] (**) Option "xkb_model" "evdev"
>[     7.197] (**) Option "xkb_layout" "us"
>[     7.198] (II) config/udev: Adding input device Sleep Button (/dev/input/event3)
>[     7.198] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
>[     7.198] (II) Using input driver 'evdev' for 'Sleep Button'
>[     7.198] (**) Sleep Button: always reports core events
>[     7.198] (**) evdev: Sleep Button: Device: "/dev/input/event3"
>[     7.198] (--) evdev: Sleep Button: Vendor 0 Product 0x3
>[     7.198] (--) evdev: Sleep Button: Found keys
>[     7.198] (II) evdev: Sleep Button: Configuring as keyboard
>[     7.198] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:01/PNP0C0E:00/input/input3/event3"
>[     7.198] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
>[     7.198] (**) Option "xkb_rules" "evdev"
>[     7.198] (**) Option "xkb_model" "evdev"
>[     7.198] (**) Option "xkb_layout" "us"
>[     7.199] (II) config/udev: Adding input device Video Bus (/dev/input/event13)
>[     7.199] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
>[     7.199] (II) Using input driver 'evdev' for 'Video Bus'
>[     7.199] (**) Video Bus: always reports core events
>[     7.199] (**) evdev: Video Bus: Device: "/dev/input/event13"
>[     7.199] (--) evdev: Video Bus: Vendor 0 Product 0x6
>[     7.199] (--) evdev: Video Bus: Found keys
>[     7.199] (II) evdev: Video Bus: Configuring as keyboard
>[     7.199] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:3a/LNXVIDEO:00/input/input13/event13"
>[     7.199] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 10)
>[     7.199] (**) Option "xkb_rules" "evdev"
>[     7.199] (**) Option "xkb_model" "evdev"
>[     7.199] (**) Option "xkb_layout" "us"
>[     7.200] (II) config/udev: Adding input device Lid Switch (/dev/input/event4)
>[     7.200] (II) No input driver specified, ignoring this device.
>[     7.200] (II) This device may have been added with another device file.
>[     7.200] (II) config/udev: Adding drm device (/dev/dri/card0)
>[     7.201] (II) config/udev: Adding input device PixArt Microsoft USB Optical Mouse (/dev/input/event7)
>[     7.201] (**) PixArt Microsoft USB Optical Mouse: Applying InputClass "evdev pointer catchall"
>[     7.201] (II) Using input driver 'evdev' for 'PixArt Microsoft USB Optical Mouse'
>[     7.201] (**) PixArt Microsoft USB Optical Mouse: always reports core events
>[     7.201] (**) evdev: PixArt Microsoft USB Optical Mouse: Device: "/dev/input/event7"
>[     7.201] (--) evdev: PixArt Microsoft USB Optical Mouse: Vendor 0x45e Product 0x783
>[     7.201] (--) evdev: PixArt Microsoft USB Optical Mouse: Found 3 mouse buttons
>[     7.201] (--) evdev: PixArt Microsoft USB Optical Mouse: Found scroll wheel(s)
>[     7.201] (--) evdev: PixArt Microsoft USB Optical Mouse: Found relative axes
>[     7.201] (--) evdev: PixArt Microsoft USB Optical Mouse: Found x and y relative axes
>[     7.201] (II) evdev: PixArt Microsoft USB Optical Mouse: Configuring as mouse
>[     7.201] (II) evdev: PixArt Microsoft USB Optical Mouse: Adding scrollwheel support
>[     7.201] (**) evdev: PixArt Microsoft USB Optical Mouse: YAxisMapping: buttons 4 and 5
>[     7.201] (**) evdev: PixArt Microsoft USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
>[     7.201] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/input/input7/event7"
>[     7.201] (II) XINPUT: Adding extended input device "PixArt Microsoft USB Optical Mouse" (type: MOUSE, id 11)
>[     7.201] (II) evdev: PixArt Microsoft USB Optical Mouse: initialized for relative axes.
>[     7.202] (**) PixArt Microsoft USB Optical Mouse: (accel) keeping acceleration scheme 1
>[     7.202] (**) PixArt Microsoft USB Optical Mouse: (accel) acceleration profile 0
>[     7.202] (**) PixArt Microsoft USB Optical Mouse: (accel) acceleration factor: 2.000
>[     7.202] (**) PixArt Microsoft USB Optical Mouse: (accel) acceleration threshold: 4
>[     7.202] (II) config/udev: Adding input device PixArt Microsoft USB Optical Mouse (/dev/input/mouse0)
>[     7.202] (II) No input driver specified, ignoring this device.
>[     7.202] (II) This device may have been added with another device file.
>[     7.202] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event8)
>[     7.202] (II) No input driver specified, ignoring this device.
>[     7.202] (II) This device may have been added with another device file.
>[     7.203] (II) config/udev: Adding input device HDA Intel PCH Mic (/dev/input/event10)
>[     7.203] (II) No input driver specified, ignoring this device.
>[     7.203] (II) This device may have been added with another device file.
>[     7.203] (II) config/udev: Adding input device HDA Intel PCH Headphone (/dev/input/event11)
>[     7.203] (II) No input driver specified, ignoring this device.
>[     7.203] (II) This device may have been added with another device file.
>[     7.203] (II) config/udev: Adding input device HDA Intel PCH HDMI/DP,pcm=3 (/dev/input/event9)
>[     7.203] (II) No input driver specified, ignoring this device.
>[     7.203] (II) This device may have been added with another device file.
>[     7.204] (II) config/udev: Adding input device Lenovo EasyCamera (/dev/input/event12)
>[     7.204] (**) Lenovo EasyCamera: Applying InputClass "evdev keyboard catchall"
>[     7.204] (II) Using input driver 'evdev' for 'Lenovo EasyCamera'
>[     7.204] (**) Lenovo EasyCamera: always reports core events
>[     7.204] (**) evdev: Lenovo EasyCamera: Device: "/dev/input/event12"
>[     7.204] (--) evdev: Lenovo EasyCamera: Vendor 0x4f2 Product 0xb2f1
>[     7.204] (--) evdev: Lenovo EasyCamera: Found keys
>[     7.204] (II) evdev: Lenovo EasyCamera: Configuring as keyboard
>[     7.204] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.6/4-1.6:1.0/input/input12/event12"
>[     7.204] (II) XINPUT: Adding extended input device "Lenovo EasyCamera" (type: KEYBOARD, id 12)
>[     7.204] (**) Option "xkb_rules" "evdev"
>[     7.204] (**) Option "xkb_model" "evdev"
>[     7.204] (**) Option "xkb_layout" "us"
>[     7.205] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
>[     7.205] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
>[     7.205] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
>[     7.205] (**) AT Translated Set 2 keyboard: always reports core events
>[     7.205] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event0"
>[     7.205] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
>[     7.205] (--) evdev: AT Translated Set 2 keyboard: Found keys
>[     7.205] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
>[     7.205] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
>[     7.205] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 13)
>[     7.205] (**) Option "xkb_rules" "evdev"
>[     7.205] (**) Option "xkb_model" "evdev"
>[     7.205] (**) Option "xkb_layout" "us"
>[     7.206] (II) config/udev: Adding input device Ideapad extra buttons (/dev/input/event6)
>[     7.206] (**) Ideapad extra buttons: Applying InputClass "evdev keyboard catchall"
>[     7.206] (II) Using input driver 'evdev' for 'Ideapad extra buttons'
>[     7.206] (**) Ideapad extra buttons: always reports core events
>[     7.206] (**) evdev: Ideapad extra buttons: Device: "/dev/input/event6"
>[     7.206] (--) evdev: Ideapad extra buttons: Vendor 0 Product 0
>[     7.206] (--) evdev: Ideapad extra buttons: Found keys
>[     7.206] (II) evdev: Ideapad extra buttons: Configuring as keyboard
>[     7.206] (**) Option "config_info" "udev:/sys/devices/platform/ideapad/input/input6/event6"
>[     7.206] (II) XINPUT: Adding extended input device "Ideapad extra buttons" (type: KEYBOARD, id 14)
>[     7.206] (**) Option "xkb_rules" "evdev"
>[     7.206] (**) Option "xkb_model" "evdev"
>[     7.206] (**) Option "xkb_layout" "us"
>[     7.207] (II) config/udev: Adding input device PC Speaker (/dev/input/event1)
>[     7.207] (II) No input driver specified, ignoring this device.
>[     7.207] (II) This device may have been added with another device file.
>[     7.209] (II) config/udev: removing device Video Bus
>[     7.209] (II) evdev: Video Bus: Close
>[     7.209] (II) UnloadModule: "evdev"
>[     7.209] (II) config/udev: Adding input device Video Bus (/dev/input/event13)
>[     7.209] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
>[     7.209] (II) Using input driver 'evdev' for 'Video Bus'
>[     7.209] (**) Video Bus: always reports core events
>[     7.209] (**) evdev: Video Bus: Device: "/dev/input/event13"
>[     7.209] (--) evdev: Video Bus: Vendor 0 Product 0x6
>[     7.209] (--) evdev: Video Bus: Found keys
>[     7.209] (II) evdev: Video Bus: Configuring as keyboard
>[     7.209] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:3a/LNXVIDEO:00/input/input13/event13"
>[     7.209] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 10)
>[     7.209] (**) Option "xkb_rules" "evdev"
>[     7.209] (**) Option "xkb_model" "evdev"
>[     7.209] (**) Option "xkb_layout" "us"
>[     7.210] removing GPU device /sys/devices/pci0000:00/0000:00:02.0/drm/card0 24326656
>[     7.210] xf86: remove device 0 /sys/devices/pci0000:00/0000:00:02.0/drm/card0
>[     7.210] failed to find screen to remove
>[     7.210] (II) config/udev: Adding drm device (/dev/dri/card0)
>[     7.210] removing GPU device /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1 0
>[     7.210] removing GPU device /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-VGA-1 0
>[     7.210] (II) config/udev: removing device Video Bus
>[     7.220] (II) evdev: Video Bus: Close
>[     7.220] (II) UnloadModule: "evdev"
>[     7.220] (II) config/udev: Adding input device Video Bus (/dev/input/event14)
>[     7.220] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
>[     7.220] (II) Using input driver 'evdev' for 'Video Bus'
>[     7.220] (**) Video Bus: always reports core events
>[     7.220] (**) evdev: Video Bus: Device: "/dev/input/event14"
>[     7.220] (--) evdev: Video Bus: Vendor 0 Product 0x6
>[     7.220] (--) evdev: Video Bus: Found keys
>[     7.220] (II) evdev: Video Bus: Configuring as keyboard
>[     7.220] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input14/event14"
>[     7.220] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
>[     7.220] (**) Option "xkb_rules" "evdev"
>[     7.220] (**) Option "xkb_model" "evdev"
>[     7.220] (**) Option "xkb_layout" "us"
>[     7.221] removing GPU device /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-HDMI-A-1 0
>[     7.221] removing GPU device /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-DP-1 0
>[     7.507] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse1)
>[     7.507] (**) SynPS/2 Synaptics TouchPad: Ignoring device from InputClass "touchpad ignore duplicates"
>[     7.507] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event15)
>[     7.507] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
>[     7.507] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
>[     7.507] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "Default clickpad buttons"
>[     7.507] (II) LoadModule: "synaptics"
>[     7.508] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
>[     7.509] (II) Module synaptics: vendor="X.Org Foundation"
>[     7.509] 	compiled for 1.13.2, module version = 1.6.3
>[     7.509] 	Module class: X.Org XInput Driver
>[     7.509] 	ABI class: X.Org XInput driver, version 18.0
>[     7.509] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
>[     7.509] (**) SynPS/2 Synaptics TouchPad: always reports core events
>[     7.509] (**) Option "Device" "/dev/input/event15"
>[     7.543] (II) synaptics: SynPS/2 Synaptics TouchPad: found clickpad property
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5664
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4682
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: pressure range 0 - 255
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: finger width range 0 - 15
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: buttons: left double triple
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
>[     7.543] (**) Option "TapButton1" "1"
>[     7.543] (**) Option "TapButton2" "2"
>[     7.543] (**) Option "TapButton3" "3"
>[     7.543] (**) Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"
>[     7.543] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
>[     7.543] (**) SynPS/2 Synaptics TouchPad: always reports core events
>[     7.556] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input15/event15"
>[     7.556] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 15)
>[     7.557] (**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
>[     7.557] (**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
>[     7.557] (**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is now 0.038
>[     7.557] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
>[     7.557] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
>[     7.557] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
>[     7.557] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
>[     7.557] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
>[    19.869] (II) intel(0): EDID vendor "LGD", prod id 489
>[    19.869] (II) intel(0): Printing DDC gathered Modelines:
>[    19.869] (II) intel(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
>[    20.765] (II) intel(0): EDID vendor "LGD", prod id 489
>[    20.765] (II) intel(0): Printing DDC gathered Modelines:
>[    20.765] (II) intel(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
>[    21.392] (II) intel(0): EDID vendor "LGD", prod id 489
>[    21.392] (II) intel(0): Printing DDC gathered Modelines:
>[    21.392] (II) intel(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
Comment 13 Chris Wilson 2013-02-15 00:59:41 UTC
UXA: [     6.960] (--) intel(0): found backlight control interface /sys/class/backlight/acpi_video1

SNA: [     6.907] (--) intel(0): found backlight control interface acpi_video1 (type 'firmware')

So the bad news is that your system is advertising acpi_video1 as the right backlight controller for your display, but it sounds like that it is the wrong one.

Try something like acpi_backlight=vendor or acpi_backlight=legacy
The bug sounds like it solely lies in acpi_video1 being dysfunctional and still claiming to be the right interface to use.
Comment 14 hadrons123 2013-02-15 01:08:43 UTC
acpi_backlight=vendor - works with screen brightness set to max, but I am not able to reduce screen brightness with gnome-control center. 
acpi_backlight=legacy - doesn't work.
Comment 15 Chris Wilson 2013-02-15 09:35:54 UTC
(In reply to comment #14)
> acpi_backlight=vendor - works with screen brightness set to max, but I am
> not able to reduce screen brightness with gnome-control center. 
> acpi_backlight=legacy - doesn't work.

Hmm, mind satisfying my curiosity and pasteing the "found backlight control interface" line from Xorg.log for the various combinations of acpi_backlight and UXA/SNA?
Comment 16 hadrons123 2013-02-15 11:07:32 UTC
7.039] (--) intel(0): found backlight control interface /sys/class/backlight/intel_backlight            for acpi_backlight=vendor in uxa -backlight is set to max , can be adjusted manually
 7.137] (--) intel(0): found backlight control interface /sys/class/backlight/acpi_video1               for acpi_backlight=legacy in uxa - backlight is set to zero, can be adjusted manually
6.872] (--) intel(0): found backlight control interface ideapad (type 'platform')                           for acpi_backlight=vendor in sna  -backlight is set to max, cannot be adjusted manually
7.340] (--) intel(0): found backlight control interface acpi_video1 (type 'firmware')                    for acpi_backlight=legacy in sna   -backlight is set to zero, can be adjusted manually
Comment 17 Chris Wilson 2013-02-15 11:21:46 UTC
Tbh, I think
Comment 18 Chris Wilson 2013-02-15 11:23:54 UTC
Codito ergo sum.

I think the only way we can get this solved is to beat up a few ACPI firmware engineers and see if the various ACPI drivers can make any traction. Other than trying to follow the guidelines and picking the preferred backlight interface (multiple drivers suck) there is little else we can do in the gfx driver.
Comment 19 hadrons123 2013-02-15 11:27:26 UTC
Thanks for helping me sort this out. Shall I file a bug in linux kernel?
Comment 20 Chris Wilson 2013-06-12 12:32:57 UTC
Can you please test whether disabling the ACPI backlight ala https://patchwork.kernel.org/patch/2697681/ fixes the issue?
Comment 21 hadrons123 2013-06-12 14:42:15 UTC
I 'm not a programmer of any sorts, but saw the patch. Looked like it was looking for atom bios with radeon card. My system has insydeh20 bios with intel+nvidia card. Sorry if I got it totally wrong.
Comment 22 Igor Gnatenko 2013-06-13 15:01:31 UTC
(In reply to comment #20)
> Can you please test whether disabling the ACPI backlight ala
> https://patchwork.kernel.org/patch/2697681/ fixes the issue?
Not this patch.
hadrons123 tested patchset for unregister backlight and its work. But this bug remained.
Comment 23 hadrons123 2013-09-27 13:30:28 UTC
[freedom@localhost ~]$ uname -a
Linux localhost.localdomain 3.12.0-0.rc2.git2.2.fc21.x86_64 #1 SMP Thu Sep 26 14:55:50 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.12.0-0.rc2.git2.2.fc21.x86_64 root=UUID=6547e4a4-1fcc-4eed-8bd9-87cbd98efff5 ro vconsole.font=latarcyrheb-sun16 vconsole.keymap=us

I just tested this rawhide kernel and it fixes this bug, Not sure which commit resolved this bug. But this bug looks fixed.
Comment 24 Daniel Vetter 2013-09-27 19:52:58 UTC
Cool, thanks for reporting this issue and please reopen if it occurs again.